var tipMatches = [
	{ pattern:/url|uri/, 
		code:IS_URL },
	{ pattern:/email|addresscol2|correo|electr\u00F3nico/, 
		code:IS_EMAIL_SMTPEMAILADDRESS },
	{ pattern:/addresscol2|name|first|last|middle|suffix|nombre|apellido/, 
		code:IS_PERSONALNAME_FULLNAME },
	{ pattern:/username|login|userid|usuario/, 
		code:IS_LOGINNAME },
	{ pattern:/phone|fax|areacode|prefix|suffix|tel|prefijo|\u00E1rea/, 
		code:IS_TELEPHONE_FULLTELEPHONENUMBER },
	{ pattern:/zip|postal|street|state|city|country|addr|c\u00F3digo|postal|CP|calle|provincia|ciudad|pa\u00EDs|dir/,	
		code:IS_ADDRESS_FULLPOSTALADDRESS },
	{ pattern:/num|n\u00FAm/, 		
		code:IS_NUMBER },
        { pattern:/year|a\u00F1o/, 			
		code:IS_DATE_YEAR },
	{ pattern:/date|fecha/, 			
		code:IS_DATE_FULLDATE },
	{ pattern:/day|d\u00EDa/, 			
		code:IS_DATE_DAY },
	{ pattern:/month|mes/, 			
		code:IS_DATE_MONTH },
	{ pattern:/password|clave|contrase\u00F1a/, 		
		code:IS_PASSWORD },
	{ pattern:/amount|cantidad/, 		
		code:IS_CURRENCY_AMOUNT },
	{ pattern:/time|hora/, 			
		code:IS_TIME_FULLTIME }
];